﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MyWeb.WebTemp.IBLL;
using MyWeb.WebTemp.IDao;
using MyWeb.WebTemp.Model;

namespace MyWeb.WebTemp.BLL
{
    public class UserServiceImpl : IUserService
    {
        #region 属性

        private IUserDao userDao;

        public IUserDao UserDao
        {
            get { return userDao; }
            set { userDao = value; }
        }
        
        #endregion

        #region IUserService 成员

        public IList<User> GetAllUsers()
        {
            return UserDao.GetAllUsers();
        }

        public bool UpdateUser(User user)
        {
            return UserDao.UpdateUser(user);
        }

        public bool DeleteUser(User user)
        {
            return UserDao.DeleteUser(user);
        }

        public bool AddUser(User user)
        {
            return UserDao.AddUser(user);
        }

        public bool UpdateOrAddUser(User user)
        {
            return UserDao.AddOrUpdateUser(user);
        }

        public User GetUserById(int id)
        {
            return UserDao.GetUserById(id);
        }

        #endregion
    }
}
