using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Mvc.Ajax;
using Spring.Context.Support;
using MyWeb.WebTemp.IBLL;

namespace MyWeb.WebTemp.Controllers
{
    public class UserController : Controller
    {
        //
        // GET: /User/
        private IUserService userService;

        public IUserService UserService
        {
            get { return this.userService; }
            set { this.userService = value; }
        }

        public ActionResult Index()
        {
            var webApplicationContext =
                           ContextRegistry.GetContext() as WebApplicationContext;
            UserService =
                webApplicationContext.GetObject("UserService") as IUserService;//springлȡUserservice
            IList<MyWeb.WebTemp.Model.User> users = UserService.GetAllUsers();
            ViewData["Users"] = users;
            return View("ShowAllUsers");
        }

    }
}
